### File

`projects/app-base-library/src/lib/angular/modules/login/login-button.component.ts`

### Metadata

selector | `ab-login-button`

template

    <div>
        <button *ngIf="!authenticated" class="btn btn-primary" >{{ 'LOGIN' | translate }}</button>
    </div>
    <div>
        <button *ngIf="authenticated"class="btn btn-primary" >{{ 'LOGOUT' | translate }}</button>
    </div>

### Index

###### Inputs

- authenticated
- autoLogin

### Constructor

`constructor()`
Defined in projects/app-base-library/src/lib/angular/modules/login/login-button.component.ts:16

### Inputs

`authenticated` | Type: `boolean`
Defined in projects/app-base-library/src/lib/angular/modules/login/login-button.component.ts:16

`autoLogin` | Type: `boolean`
Defined in projects/app-base-library/src/lib/angular/modules/login/login-button.component.ts:15

    import {Component, Input} from '@angular/core';

    @Component({
        selector: 'ab-login-button',
        template: `
            <div>
                <button *ngIf="!authenticated" class="btn btn-primary" >{{ 'LOGIN' | translate }}</button>
            </div>
            <div>
                <button *ngIf="authenticated"class="btn btn-primary" >{{ 'LOGOUT' | translate }}</button>
            </div>
        `
    })
    export class LoginButtonComponent {
        @Input() autoLogin: boolean; // todo
        @Input() authenticated: boolean;

        constructor() { }

    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""